Get Location Asset
curl --request POST \
--url https://public.plai.io/gads/get_location_asset \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userId": "<string>"
}
'import requests
url = "https://public.plai.io/gads/get_location_asset"
payload = { "userId": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>'})
};
fetch('https://public.plai.io/gads/get_location_asset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": {
"success": true,
"locationAssets": [
{
"id": "<string>",
"name": "<string>",
"place_id": "<string>"
}
],
"error": "<string>"
}
}Utilities
Get Location Asset
This endpoint retrieves the location assets linked to the user’s Google Ads account. These assets include details such as the location name, ID, and place ID, which are used to show business locations on Google Maps or in location-based ad extensions. Use this to fetch and manage your connected business locations.
POST
/
gads
/
get_location_asset
Get Location Asset
Request Body
string
required
User ID, If not already created, make a user on create user
page first. If already created,
retrieve the user ID from get profile
page.
Response
boolean
Indicates that the HTTP response was successful (status code 200 OK).